
Latest version is 1.9.15

NOCC 1.9.15  ??????????????

  Feature Requests
    * RFE #82 : search emails for keyword (Oliver Heil).
      - search for a single string.
      - search in header only (default) or full body.
      - search in current folder (default) or in all folders (imap only).
      - search using async javascript (default) to avoid server timeouts.
      - new configuration options in config/conf.php.dist:
         allow_js_folder_search (default=true):
           Use JavaScript for subsequent folder search.
         max_search_folders_per_page (default=5):
           If allow_js_folder_search=false only search in 5 folders at once
           to avoid timeouts with many imap folders.

  Misc
    * allow for auto update test before release (Oliver Heil).
    * none.png added at root displayed when images in emails are switched
      off to avoid 404 with just none as img src. Old behaviour can easily
      be restored by removing none.png (Oliver Heil).
    * minimal <DOCTYPE...> and <html...> should be ok today (Oliver Heil).
    * New user preference for size of new windows like contacts (Oliver Heil).
    * Compatibility with php-8.5 (Oliver Heil).
    * Compatibility with php-8.4 (Oliver Heil).
    * Compatibility with php-8.3 (Oliver Heil).
    * Added sha256 checksum for automatic update (Oliver Heil).
    * Added (minimal) NTLM authentication for SMTP (Oliver Heil).

  Bugs
    * restrict cookies to root path (classes/nocc_session.php) (Oliver Heil).
    * show S/MIME signed messages, at least show something, still needs improvement
      (utils/functions.php:pkcs7_attachment_view) (Oliver Heil).
    * additional check if given encoding is supported in PHP and auto-changing encoding
      US-ASCII to ASCII (classes/class_local.php:2011) (Oliver Heil).
    * wrong checking if mail part with index 0 exists (classes/nocc_mailparts.php:170)
      (Oliver Heil).
    * setting ssl context options for ssl smtp connection were not changeable
      to anything else than the default value, which doesn't make sense,
      see discussion
      https://sourceforge.net/p/nocc/discussion/38301/thread/ac827e8c9e/
      (Oliver Heil)

NOCC 1.9.14  March 15, 2023

  Bugs
    * Bug #511 : Auto-Update fails with php 8.2.3 (Oliver Heil).
                 Creating an early release before people switch to php 8.2.

NOCC 1.9.13  March 11, 2023

  Misc
    * Compatibility with PHP 8.2 (Oliver Heil).
    * Integrating htmlpurifier (4.15.0-lite) (http://htmlpurifier.org) (Oliver Heil).
    * New domain specific configuration options "smtp_peer_name" and
      "smtp_security_level" if you encounter problems with SSL connection to the
      SMTP server, see config/conf.php.dist for details or see discussion
      https://sourceforge.net/p/nocc/discussion/38301/thread/daf7c51607/
      (Oliver Heil).

  Bugs
    * Regression bugs (Oliver Heil).

NOCC 1.9.12  February 28, 2023

  Misc
    * Autoupdate: a -dev version is smaller than the release,
      e.g. 1.9.12-dev is smaller than 1.9.12, because release is later (Oliver Heil).
    * Language/theme selector and preferences logic enhanced (Oliver Heil).
      https://github.com/oheil/NOCC/issues/1 
    * Some minor additional notes for Horde/Imap_Client Library usage in
      conf.php.dist (Oliver Heil).
    * Call to syslog can be problematic, see
      https://sourceforge.net/p/nocc/discussion/38301/thread/94712f48c3/
      All syslog calls behind config variable $conf->syslog=false (default) (Oliver Heil).

  Bugs
    * Bug in mail part/attachment parsing (Oliver Heil).
    * Regression bug in session handling: session expires premature (Oliver Heil).
    * Bug in check for AES256, should be lowercase, check for both (Oliver Heil).
    * Bug on login screen: reload when lang/theme change, new session is
      ignored (Oliver Heil).

NOCC 1.9.11  December 10, 2021

  Feature Requests
    * RFE #135 : Counter measurement against multiple login attempts (Oliver Heil):
      - failed login attempts from a given IP is counted
      - after 30sec of no attempt the counter is reset
      - after 5 failed attempts login will fail without trying the mail server
      - memcache + memcached (on default port) is mandatory for this to work
      - no configuration needed or yet possible

  Misc
    * Compatibility with PHP 8.1 (Oliver Heil).
    * Added new languages/translations (Oliver Heil).
    * Added domain specific option allow_address_change, which, if set to true
      or false, overrides the global option (Oliver Heil).
    * In the case of allow_address_change = false, improved the way the default
      "From:"-address is assembled to avoid empty cases (Oliver Heil).
    * Several minor issues (Oliver Heil).
    * Some minor UI inconsistencies improved (Oliver Heil).
    * Small RSS feed overhaul, new config settings, default is switched off (Oliver Heil).
    * Do not download every attachment on click, but open it in the browser for
      known types (Oliver Heil).
    * Move/copy mails from one session/server to another (Oliver Heil).
    * Display of inline/attached images improved if Horde/Imap_Client is used

  Bugs
    * Bug #509 : Automatic update bug fixed (Oliver Heil).
    * Bug #373 : Blank user or password gives bad error message, fixed (Oliver Heil).
    * Bug #362 : Problems to attach files with German umlauts, fixed (Oliver Heil).

NOCC 1.9.10  January 08, 2021

  Misc
    * Several translation improvements.
    * Attached mails with external pictures are now secured like normal mails
      (Oliver Heil).
    * Legacy unsecure backend encryption of passwords now disabled, openssl or
      mcrypt extension now mandatory (Oliver Heil).
    * added support for sodium (Oliver Heil).
    * removing javascript event handler properties (Oliver Heil).
    * integrating htmlpurifier (4.12.0-lite) (http://htmlpurifier.org) (Oliver Heil).
    * dropping ckeditor support for php4 (Oliver Heil).
    * ckeditor_4.14.0_full (Oliver Heil).
    * experimental support for ckeditor5 (classic-18.0.0) (Oliver Heil).
    * as alternative to PHP's imap (c-client) now Horde/Imap_Client can be
      used (Oliver Heil).

  Bugs
    * Bug #510 : STARTTLS, TLS > v1.0 does not work with PHP's imap (c-client) 
      extension. Horde/Imap_Client as optional alternative to PHP's imap (c-client)
      extension (Oliver Heil).
    * Bug #393 : parsing of header for <base href="..."> tags and inserting it into
      <img src="..."> (Oliver Heil).
    * Bug #389 : seems to be resolved by removing magic_quotes with its deprecation
      (Oliver Heil).
    * Bug #374 : new mails are shown, tested with RSSOwl (Oliver Heil).
    * Bug #380 : fixed (Oliver Heil).
    * Bug #373 : feature request for better error message fixed (Oliver Heil).
    * Bug #362 : fixed (Oliver Heil).

NOCC 1.9.9  November 20, 2019

  Misc
    * Nothing special this year (Oliver Heil).
    * Several translation improvements
    * added openssl/AES256 encryption replacing deprecated (php7) mcrypt (Oliver Heil).

NOCC 1.9.8  November 20, 2018

  Misc
    * Nothing special this year (Oliver Heil).
    * Several translation improvements

  Bugs
    * Bug #508 : php 7.2 breaks session management (Oliver Heil).


NOCC 1.9.7  November 20, 2017

  Misc
    * Connection to smtp server improved. New config parameters:
        smtp_user_without_domain = false;
      If you login to your IMAP/POP server with domain (e.g. user@domain.org) 
      but your SMTP server only wants a user name without domain, set this 
      value to true.
      See also description in config/conf.php.dist (Oliver Heil).
    * Added preference "Connect menu entry Inbox to folder"
        Select your default Inbox where new emails arrive.
        This preference must be switched on for the following features:
          - Clicking on "Inbox" on the main menu will switch to the selected 
            inbox folder.
          - If the content of the inbox changes, e.g. because of a new email,
            an exclamation mark next to inbox on the main menu and an alert box
            are shown to notify the user.
          - Preference "Show alert box when number of emails in inbox change"
            switches the alert box off
          - New config value
              check_inbox_timer = 60;
            sets the timer in seconds to check the inbox for new or changed
            number of messages.
            This can be set to 0 to switch the checking off (Oliver Heil).
    * current version of ckeditor (ckeditor_4.7.1_full)
      Moved ckeditor...php files from ckeditor folder into NOCC root folder (Oliver Heil).
    * new config option
        $conf->utf8_decode = true;
          if you have login problems because of special or language specific characters
          you may try to set this to false. Default value is true.


NOCC 1.9.6  September 15, 2016

  Bugs
    * UTF-8 encoding detection moved to better place (minor change) (Oliver Heil).

  Misc
    * Session management further improved: session expiration completely controlled
      by server (Oliver Heil).
    * Close session if the client IP has changed during a session.
      New config prameter:
       check_client_ip
      See config/conf.php.dist for examples and documentation (Oliver Heil).
    * Automatic server update now possible and NOCC version removed from login screen.
      New config prameter:
        auto_update
      See config/conf.php.dist for examples and documentation.
      The NOCC version is now shown in the upper right corner after login.
      Users who are allowed to auto update NOCC will see information about the new version
      when moving the mouse cursor over the version number. If a new version is available
      the current version number will be highlighted and changed to a hyperlink to the
      auto-update page (Oliver Heil).
    * Connection to smtp server improved. New config parameters:
        smtp_allow_self_signed
        smtp_verify_peer
        smtp_verify_peer_name
        smtp_user
        smtp_password 
      See config/conf.php.dist for examples and documentation (Oliver Heil).
    * Allow user names with domain prefix directly in user, e.g. ad\user (Oliver Heil).
    * Failed and successful logins are logged to php.log and syslog as
        NOCC: successful login from rhost=2.2.2.2 to server=your.server.eg:993/ssl/novalidate-cert as user=username
      and
        NOCC: failed login from rhost=2.2.2.2 to server=your.server.eg:993/ssl/novalidate-cert as user=username
      Log entries can be used to detect and react on brute force attacks (e.g. with
      fail2ban) (Oliver Heil).

NOCC 1.9.5  November 20, 2014

  Bugs
    * Bug #401 : added better checks for cleanup of old session files (Oliver Heil).

  Patches
    * Patch #153 : Added new theme newlook_v2 (Christian Jeschke).

  Misc
    * Support for list of emails in contacts list (Oliver Heil).
    * Ruler of initials in contacts list (Oliver Heil).
    * Contacts list sorted (Oliver Heil).
    * Auto-collect email adresses into contacts and new option for it (Oliver Heil).
    * Better display of attached images and inline images in html mail (Oliver Heil).
    * Improved quoting when replying to html mails (Oliver Heil).
    * Improved line wrapping when sending or replying (Oliver Heil).
    * Display of attached emails (rfc822) (Oliver Heil).

NOCC 1.9.4  November 01, 2013

  Feature Requests
    * RFE #132 : TLS Support for SMTP (Oliver Heil).
    * RFE #131 : Keep text of new msg even on session timeout (Oliver Heil).

  Misc
    * Added support for email adresses like ...@my.d.omain.some.thing (Oliver Heil).
    * Aliases for multiple domains listed on the login screen can now be specified
      using a new configuration variable "show_as" in config/conf.php (Oliver Heil).
    * Multiple different open sessions in browser tabs possible.
      To open a new session, a new link "Next session" is added next to
      "Preferences". This link opens a new login page, or, if available, another
      saved or open session. (Oliver Heil)
    * New boolean configuration variable "prune_sessions" added. If switched on,
      which is the default, old session files are removed automatically.
      (Oliver Heil)
    * Session management completely revised. (Oliver Heil)
    * Added folder downloading capability as mbox format, Patch #149. (Oliver Heil)

NOCC 1.9.3  June 16, 2012

  Bugs
    * Bug #3523093 : Session Hijacking with Cross Site Scripting (Gunnar Haslinger).

  Misc
    * Update CKEditor to 3.6.3 (Tim Gerundt).
    * Fix problem with sending attachments (Tim Gerundt).
    * Fix a problem with date sorting (Tim Gerundt).

NOCC 1.9.2  March 30, 2012

  Bugs
    * Bug #3376498 : Cannot choose polish lang (Perry Pretender).

  Misc
    * Update CKEditor to 3.6.2 (Tim Gerundt).
    * Small speed improvements for checking if IMAP or POP3 connection (Tim Gerundt).
    * "Preferences" and "Logout" menu was not always visible (Tim Gerundt).
    * Rename "Remember settings" to "Remember me" (Tim Gerundt).
    * Fix "PHP Fatal error" in RSS feed (Bretislav Kubesa).
    * Mark virus mails as SPAM too (Tim Gerundt).
    * Hide unknown "To" address in mail view (Tim Gerundt).
    * Show also "Reply-To" address in mail view (Tim Gerundt).
    * Display more embedded HTML images (Tim Gerundt).
    * Tweak verbose header view (Tim Gerundt).
    * Drop old enh_html_entity_decode() function, which used the PHP license
      (Tim Gerundt).
    * Always hide double quotes from mail addresses (Tim Gerundt).
    * Show attachment size in KB if write a mail (Tim Gerundt).
    * Internal links should be now work with SSL proxies (Tim Gerundt).
    * Add robots.txt to exclude all web crawlers (Tim Gerundt).

NOCC 1.9.1  March 26, 2011

  Misc
    * Fix a problem, if use wrong username or password (Tim Gerundt).

NOCC 1.9.0  March 19, 2011

  Bugs
    * Bug #3135831 : Call to undefined function dl() in config_check.php on line
      (Tim Gerundt).
    * Bug #3170865 : PHP5 strict - Creating default object from empty value
      (Max Nokhrin).

  Feature Requests
    * RFE #2985080 : Group items in character encoding list (Tim Gerundt).

  Misc
    * Check X-Spam-Flag for YES value (Tim Gerundt).
    * Switch from FCKeditor to CKEditor (Tim Gerundt).
    * Use text links for next/previous mail navigation (Tim Gerundt).
    * Change "Cc self" to "Bcc self" (Tim Gerundt).
    * Fix a problem with shorted subjects in inbox (Tim Gerundt).
    * Don't show none attachment images (Tim Gerundt).
    * Remove Unicode "byte order mark" (BOM) from images (Tim Gerundt).
    * Use "Part X" as filename for attachments without name (Tim Gerundt).
    * Add BMP to the supported image formats (Tim Gerundt).
    * Add debug level for developers (Tim Gerundt).
    * Drop $conf->display_rfc822 (Tim Gerundt).
    * Fix a problem with mails that has no text but attachments (Tim Gerundt).
    * If hide addresses in inbox, hide double quotes too (Tim Gerundt).
    * Fix a problem with invalid multipart mails (Tim Gerundt).
    * Switch to PHP 5 (Tim Gerundt).

NOCC 1.8.3  June 04, 2010

  Bugs
    * Bug #2836784 : imap_utf8() returns only capital letters since PHP 5.2.5
      (Tim Gerundt).
    * Bug #2962990 : full_name preference not quoted in email send (Sean Skogen).
    * Bug #2987135 : Add second "Re:" by reply (Tim Gerundt).
    * Bug #2963603 : Function name tripos instead of stripos, typo? (openfan).
    * Bug #2960858 : Exception incorrectly handled: break instead of exit?
     (openfan).
    * Bug #2952899 : dropdown list with themes is not filled on login page
     (openfan).
    * Bug #2952928 : Title contact list window incorrect: Contact list of %1$
     (openfan).
    * Bug #2946163 : Unable to copy or move the message... (Evgeny Secret).

  Feature Requests
    * RFE #2985090 : Simplify character encoding list items (Tim Gerundt).
    * RFE #2976406 : Check for SPAM header flags (Tim Gerundt).

  Misc
    * Tweak linking of URLs in text mails (Tim Gerundt).
    * Simplify attachments list (Tim Gerundt).
    * Fix problem with "Attachments:" label (Tim Gerundt).
    * Drop $conf->display_part_no (Tim Gerundt).
    * Fix empty attachment names in some cases (Tim Gerundt).
    * Add date to RSS feed items (Tim Gerundt).
    * Fix problem with "Sent:" label (Tim Gerundt).

NOCC 1.8.2  January 30, 2010

  Bugs
    * Bug #2935857 : Can't detect language from IE8 (Tim Gerundt).
    * Bug #2838547 : Mail download don't include attachments (Tim Gerundt).
    * Bug #2838521 : HTML code get not replaced in text attachments (Tim
      Gerundt).

  Patches
    * Patch #2895511 : Updates for PHP 5.3.0 (Michiel van Loon).

  Misc
    * Switch to FCKeditor 2.6.5 (Tim Gerundt).
    * Support "Flagged" column in inbox (Tim Gerundt).
    * Small renamings at the login page (Tim Gerundt).
    * Make "Select contacts" more visible at mail writing (Tim Gerundt).
    * Fix "unknown" attachment filename in some cases (Piotr Stęclik).
    * Fix syntax error in RSS feed script (Tim Gerundt).
    * Optimize regexs for remote image security (Tim Gerundt).

NOCC 1.8.1  July 09, 2009

  Bugs
    * Bug #2816859 : Problems with mail encoding (Tim Gerundt).
    * Bug #2816844 : Missing "Attachments:" label (Tim Gerundt).

  Misc
    * Use translation for [unknown] attachments (Tim Gerundt).
    * Language files update (Siebrand Mazeland, translatewiki.net).

NOCC 1.8  July 01, 2009

  Bugs
    * Bug #2593952 : User-friendly error message, if config file missing
      (Tobias Mathes).
    * Bug #2734956 : Error occuring when variables not in translation
      available (Tobias Mathes).

  Patches
    * Patch #2502771 : Use new MailReader class (Tim Gerundt).

  Feature Requests
    * RFE #2678155 : Use FCKeditor as external SVN project (Tim Gerundt).
    * RFE #2593924 : Don't use source code in config file (Tobias Mathes).
    * RFE #2593901 : Slim down FCKeditor toolbar (Tim Gerundt).
    * RFE #2002532 : Group contacts via LDAP (Tobias Mathes).

  Misc
    * Add "Highest" and "Lowest" priority to sending (Tim Gerundt).
    * Show priority in mail view (Tim Gerundt).
    * Support priority column in inbox (Tim Gerundt).
    * Change "Forward" abbreviation from "Fw" to "Fwd" (Tim Gerundt).
    * Removed ".svn" folders from theme selections (Tobias Mathes).
    * Formatting of language file has been modified, for coorperation
      with translatewiki.net (Siebrand Mazeland).
    * Language files update (Siebrand Mazeland, translatewiki.net).
    * Drop fixed pixel font sizes from themes (Tim Gerundt).
    * Small updates for "newlook" theme (Tim Gerundt).
    * Use new Theme class (Tim Gerundt).
    * Themes supports now own favions (Tim Gerundt).

NOCC 1.7  January 01, 2009

  Bugs
    * Bug #2184243 : inconcistent reporting of new mail (Michiel van Loon).
    * Bug #2140106 : Calling download.php without prior login results in
      download (Oliver Heil).
    * Bug #2013844 : Javascript warning validate(f) send.php (Arnaud Boudou).
    * Bug #2009567 : Cannot delete one mail (Arnaud Boudou).

  Patches
    * Patch #2093879 : New page navigation for inbox (Tim Gerundt).
    * Patch #2028613 : Style attachments table in send.php (Tim Gerundt).
    * Patch #2019643 : Spanish translation (Juan).
    * Patch #2019010 : Change "receipt" checkbox in send form (Tim Gerundt).
    * Patch #2011244 : Updated Czech translation (Ragimiri).
    * Patch #2010065 : Optimize regexs for remote image security (Tim Gerundt).

  Feature Requests
    * RFE #2025620 : send_delay (Arnaud Boudou).
    * RFE #2025591 : login_prefix (Arnaud Boudou).

  Misc
    * Update FCKeditor to version 2.6.3 (Tim Gerundt).
    * Don't use JavaScript to open links in a new window (Tim Gerundt).
    * Switch back to XHTML 1.0 Transitional (Tim Gerundt).
    * Allow preferences page even without "prefs_dir" (Tim Gerundt).
    * Make displaying of image and text attachments more styleable (Tim Gerundt).
    * Refresh "blue" theme (Tim Gerundt).
    * Fix attachment list in verbose header view (Tim Gerundt).
    * Add favicon to contacts pages (Tim Gerundt).
    * Don't print the sub menus (Tim Gerundt).
    * Load "config/conf.php" via "common.php" file (Tim Gerundt).
    * Arrange preference entries (Tim Gerundt).
    * Add relationship attribute to the previous/next links (Tim Gerundt).
    * Fix some bugs on multiple mails actions (Arnaud Boudou).

NOCC 1.6  July 01, 2008

  Bugs
    * Bug #2000880 : No evaluation of themes saved in user preferences (Tobias
      Mathes).
    * Bug #1994489 : "move deleted mails" doesn't work (Tobias Gesellchen).
    * Bug #1920092 : Reduce PHP Notices when debug set to E_ALL (Arnaud Boudou).
    * Bug #1915569 : Small bug: prefs.php serves invalid XHTML1.1 (openfan).
    * Bug #1915542 : Directory traversal: ../utils/crypt.php not found?
      (openfan).

  Patches
    * Patch #2000920 : No evaluation of themes saved in user preferences (Tobias
      Mathes).
    * Patch #1999529 : NOCC breaks message threads on Reply All (Tobias Mathes).
    * Patch #1999513 : Quota limits format (Tobias Mathes).
    * Patch #1955700 : Updated Czech translation (Ragimiri).
    * Patch #1955195 : Turkish Translation complete (Ismail Özer).
    * Patch #1921698 : Eliminate deprecated center tag (Tobias Mathes).
    * Patch #1916104 : Patch to updated pt-br translation (Renato Frederick).
    * Patch #1915516 : The 2 missing Dutch translations (openfan).
    * Patch #1915151 : NOCC breaks message threads on reply (Tobias Mathes).
    * Patch #1911516 : Add submenu to mail view (Tim Gerundt).
    * Patch #1909759 : Message body word wrap (Tobias Mathes).
    * Patch #1908364 : Move "Manage IMAP Folders" to main menu (Tim Gerundt).
    * Patch #1897338 : Add favicon (Tim Gerundt).
    * Patch #1896532 : New attachment icon (Tim Gerundt).
    * Patch #1894098 : Use <ul> for main menu (Tim Gerundt).

  Misc
    * Use submenu for IMAP preferences (Tim Gerundt).
    * Use <p class="sendButtons"> instead <TABLE> on more places (Tim Gerundt).
    * Disable incoming message wordwrapping (Arnaud Boudou). 
    * Update some theme images (Tim Gerundt).
    * Reorganize some files (Arnaud Boudou).
    * Add trash can feature on IMAP accounts (Arnaud Boudou).

NOCC 1.5  January 01, 2008

  Bugs
    * Bug #1793631 : Wrong $conf->base_url with non-default port
      (Arnaud Boudou).
    * Bug #1766528 : Blank headers because AIX iconv uses different names (Carey
      Evans).

  Patches
    * Patch #1820487 : attachments downloaded with zero size (Arnaud Boudou).
    * Patch #1838031 : Move "Preferences" and "Logout" to the top right corner 
      (Tim Gerundt).
    * Patch #1819600 : New inbox table layout for "standard" theme (Tim
      Gerundt).
    * Patch #1815635 : Corrected CS localisation (Ragimiri).
    * Patch #1810354 : Highlight and marking of rows in inbox table (Tim
      Gerundt).
    * Patch #1786808 : Move JavaScript code to own file (Tim Gerundt).

  Feature Requests
    * RFE #1854176 : Enhancement suggestions (Tim Gerundt, Michael D Young).
    * RFE #1804115 : list of personalised files (Arnaud Boudou).

  Misc
    * Harmonize mail header background color (Tim Gerundt).
    * Hide CSS images with "url()" too (Tim Gerundt).
    * Remove unused $_SESSION['tab_mail'] (Tim Gerundt).
    * Add "Even/Odd" theming support for inbox (Tim Gerundt).
    * Fix issue with session save cookie (Arnaud Boudou).
    * Add a new way to use 'user@domain' style logins (Arnaud Boudou).
    * Cut off long "From" addresses in inbox (Tim Gerundt).
    * Remove nested table from inbox opts menu (Tim Gerundt).
    * Change the way language list is displayed (Arnaud Boudou).
    * Welsh translation added (Sion Pennant).
    * Fix issues with server self provided details on login page
      (Arnaud Boudou).

NOCC 1.4  July 01, 2007

  Bugs
    * Bug #1629751 : Deleting mails reports "Could not connect to server" 
      (Arnaud Boudou).

  Patches
    * Patch #1742563 : Add time to mail view (Tim Gerundt).
    * Patch #1738781 : Use more flexible inbox table (Tim Gerundt).
    * Patch #1717436 : Show folder select only with more folders (Tim Gerundt).
    * Patch #1712388 : Prevent problems with base_url under windows (Tim
      Gerundt).
    * Patch #1706947 : Hide lang and theme select from login page (Tim Gerundt).
    * Patch #1682496 : Add "Unread" and "Attachment" as own column
      (Tim Gerundt).
    * Patch #1681769 : Use only one sorted arrow (Tim Gerundt).
    * Patch #1674343 : Missing translation for Dutch (openfan).
    * Patch #1663909 : Column order preference (Tim Gerundt).
    * Patch #1659330 : Optimize login box (Part 2) (Tim Gerundt).
    * Patch #1650480 : Use "min-width" for modern browsers (Tim Gerundt).
    * Patch #1650207 : Optimize header and footer (Tim Gerundt).
    * Patch #1649280 : Remove "global" <div> (Tim Gerundt).
    * Patch #1648561 : Remove needless CSS classes (Tim Gerundt).
    * Patch #1648196 : Use <label> for login box (Tim Gerundt).
    * Patch #1639027 : RSS: Add nocc_login as parameter (Tim Gerundt).
    * Patch #1639021 : RSS: Fix array_shift warning (Tim Gerundt).
    * Patch #1632779 : Fix Invalid HTML in html/prefs.php (Tim Gerundt).
    * Patch #1630921 : Optimize login box (Tim Gerundt).
    * Patch #1627141 : CS translation for 1.3 version (Ragimiri).

  Feature Requests
    * RFE #1639527 : Setting for mailbox column order (Tim Gerundt).

  Misc
    * Better dots handling for SMTP protocol (Krzysztof Łagodzic).
    * The 'complete_date' mail variable now includes the time too (Tim Gerundt).
    * Move "Inbox Status" outside <TABLE> for more structured HTML (Tim
      Gerundt).
    * Improve count of unseen messages into status line speed (Dirk Hoeschen).
    * UCB POP server and quota are now per server settings (Arnaud Boudou).
    * Improve "To:" address display in message list (Arnaud Boudou).
    * Disable unread icon for POP3 mailboxes (Arnaud Boudou).
    * Some small CSS changes (Arnaud Boudou).
    * Move "sendButtons" from <TABLE> to <P> for more structured HTML (Tim
      Gerundt).

NOCC 1.3    January 01, 2007

  Bugs
    * Bug #1611537 : Confusing for-loops in functions.php:GetPart() (Arnaud
      Boudou).
    * Bug #1598813 : file "prefs_error.php" seems unneeded (Arnaud Boudou).
    * Bug #1581966 : Bold tag instead of strong tag in pt-br.php (Arnaud
      Boudou).
    * Bug #1579997 : Download mail, illegal characters in filename on save
      (Arnaud Boudou).
    * Bug #1578946 : Image tags of smiley's not XHTML 1.1 (Arnaud Boudou).
    * Bug #1578017 : down_mail.php don't work with IE (Arnaud Boudou).
    * Bug #1576418 : imap_open(): Couldn't open stream in down_mail.php (Arnaud
      Boudou).
    * Bug #1566972 : Needless if statement in "html_top_table.php"? (Arnaud
      Boudou).
    * Bug #1565973 : More mixed EOL in some files (Arnaud Boudou).
    * Bug #1565100 : Mixed EOL in html/send.php (Arnaud Boudou).
    * Bug #1565082 : Logout.php use empty theme (Arnaud Boudou).
    * Bug #1555543 : Some small spelling errors in en.php (Arnaud Boudou).
    * Bug #1552568 : Setting wrap None is not shown as selected (Arnaud Boudou).
    * Bug #1551529 : $html_to occurs twice in language files (Arnaud Boudou).
    * Bug #1550843 : Move and Copy buttons of top row in Inbox don't work
      (Arnaud Boudou).
    * Bug #1550133 : Some pages do not validate as XHTML 1.1 (Arnaud Boudou).
    * Bug #1549545 : Extra slash introduced by Back link on error page (Arnaud
      Boudou).
    * Bug #1547166 : errorpage: wrong images URL's and misbehaving back button
      (Arnaud Boudou).
    * Bug #1526431 : Java script error in IE on delete (Arnaud Boudou).
    * Bug #1524048 : Session Data Gets Mangled / NoccKey and NoccIdent (Arnaud
      Boudou).
    * Bug #1524044 : SMTP Auth Failures mishandled (Arnaud Boudou).
    * Bug #1518887 : errors when enable preferences (Arnaud Boudou).

  Patches
    * Patch #1619777 : Working EHLO (Michał Łukaszek).
    * Patch #1613181 : Complete Czech translation (Ragimiri).
    * Patch #1600416 : Split 'from' column internally (Tim Gerundt).
    * Patch #1590397 : login_with_domain not checked correctly (Tim Gerundt).
    * Patch #1583460 : Add '...' after cutted mail data (Tim Gerundt).
    * Patch #1581097 : Don't print mailSwitchHeaders (Tim Gerundt).
    * Patch #1579972 : Missing translations nl.php (openfan).
    * Patch #1579550 : Remove content-type header from index.php (Tim Gerundt).
    * Patch #1578504 : Use <label> for signature pref (Tim Gerundt).
    * Patch #1577111 : German translation update (Tim Gerundt).
    * Patch #1575815 : Small change to structured text (Tim Gerundt).
    * Patch #1575206 : Optimize $alt_next and $alt_prev (Tim Gerundt).
    * Patch #1574359 : Use <label> for $reapply_filters in html_top_table.php
      (Tim Gerundt).
    * Patch #1574348 : form margin cause layout flaws in IE (Tim Gerundt).
    * Patch #1574328 : Missing parameters for htmlentities() in menu_mail.php
      (Tim Gerundt).
    * Patch #1572760 : Display structured text (Tim Gerundt).
    * Patch #1572077 : Put sort image after column title (Tim Gerundt).
    * Patch #1571741 : Colored quotes (Tim Gerundt and Arnaud Boudou).
    * Patch #1571456 : Do htmlspecialchars() after substr() (Tim Gerundt).
    * Patch #1571364 : Use title for sort images (Tim Gerundt).
    * Patch #1569369 : Use logon aliases (Tim Gerundt).
    * Patch #1566239 : Remove unnecessary table from "html/html_mail_*.php" (Tim
      Gerundt).
    * Patch #1565779 : Use <th> for mail headers too (Tim Gerundt).
    * Patch #1565759 : Use "sendData" class for mail_body in "html/send.php" too
      (Tim Gerundt).
    * Patch #1565371 : Add simple "print" CSS (Tim Gerundt).
    * Patch #1565084 : Add missing IDs to html/prefs.php (Tim Gerundt).
    * Patch #1564552 : Use <th> for table header cells (Tim Gerundt).
    * Patch #1563453 : Use <label> for send.php (Tim Gerundt).
    * Patch #1537220 : LANG and THEME may change also pop users (Vadim).

  Feature Requests
    * RFE #1585753 : new function convertLang2Html() (Arnaud Boudou).
    * RFE #1578965 : Improve check.php: use CSS to style and output complete
      page (Arnaud Boudou).
    * RFE #1227895 : Address Translation (Tim Gerundt).
    * RFE #985428  : Folder Creation ad forward multiple messages (Arnaud
      Boudou).
    * RFE #798725  : Nocc with htmlarea (Arnaud Boudou).
    * RFE #495879  : User Access List / From Address (Arnaud Boudou).
    * RFE #473980  : Caching of folder contents (Arnaud Boudou).

  Misc
    * Remove duplicate setting in configuration file (Arnaud Boudou).
    * Improve RSS handling (Arnaud Boudou).
    * Add mail controls (delete, select all, etc.) to the bottom of the INBOX
      page (Arnaud Boudou).
    * Improve remote pictures handling (Arnaud Boudou).

NOCC 1.2    July 01, 2006

    * Add lang and theme choice to preferences section (Arnaud Boudou).
    * Disable distant pictures display by default (Arnaud Boudou).
    * Fix HTML entities translation and replies formating (Arnaud Boudou).
    * Bug #1477984 : Mark as (Un)read, how can one see it works? (Arnaud
      Boudou).
    * Bug #1444882 : NOCC display source code instead of form (Arnaud Boudou). 

NOCC 1.1    February 28, 2006

    * Patch #1438939 : get_default_from_address in conf.php (Roman Korolyov).
    * Patch #1438393 : strict UTF-8 charset issue (Roman Korolyov).
    * register_globals php directive must now be set to 'Off' (Arnaud Boudou).
    * Bug #1438276 : Multiple vunerabilities (Arnaud Boudou).
    * Fix issue with outgoing mail From, To, CC and BCC encoding (Arnaud Boudou).
    * Fix issue with outgoing mail subject encoding (Arnaud Boudou).
    * Bug #1421767 : Attachments name repeat (Arnaud Boudou).
    * Bug #1409322 : Forwarding mail (Arnaud Boudou).
    * Use standardized RSS icon (Arnaud Boudou).

NOCC 1.0    January 01, 2006

    * Clean PHP code (Arnaud Boudou).
    * Fix issues with attachment downloading (Arnaud Boudou).
    * Update Italian translation (daiceman, patch #1369275).
    * Doesn't display link to contacts list if $conf->prefs_dir is empty (Arnaud
      Boudou).
    * Fix Javascript issues (Arnaud Boudou).
    * Updated german translation (strongbows, patch #1353859).
    * Render images embedded within HTML emails (Arnaud Boudou, patch #501449).
    * Add option to automatically choose mail domain to use with HTTP host
      (Edwin Meester, patch #1268985).
    * Sort IMAP folder names (Arnaud Boudou, bug #1351980).
    * Add Japanese language file (Tadashi Jokagi, patch #1349062).
    * Encrypt session stored passwords (Arnaud Boudou & Olivier Jourdat,
      RFE #811901, bug #1348164).
    * Improve RSS feed with subfolders (Arnaud Boudou).
    * Add compatibility with PHP 5.0.5 (Arnaud Boudou, bug #1291160).
    * Fix issue with message wrapping (Arnaud Boudou).
    * Add "To" header into mail list view (Arnaud Boudou, RFE #494191).
    * Add Catalan language file (David Gimeno i Ayuso).
    * Use PNG image files instead of GIF (Arnaud Boudou).
    * Add possibility to go back to previous page in case of unrecoverable 
      error (Arnaud Boudou).
    * NOCC is now XTHML 1.1 Strict compliant (Arnaud Boudou).
    * Improved CSS customization (Arnaud Boudou).
    * Sent Folder can now be setup by user and is no more a global option
      (Arnaud Boudou).
    * Enforce $conf->crlf option in order to avoid mixed "\r\n" and "\n" line
      break (Arnaud Boudou, bug #1228430).
    * Added option to select the character to use for login<char>domain login
      style (Arnaud Boudou).
    * Fix french translation (Arnaud Boudou).
    * Fix issue with use of user's reply leading (Arnaud Boudou).
    * Fix issue where allow_reply_leading configuration property was not taken
      in account if set to false, and a reply leading was previously set in
      users preferences (Arnaud Boudou).
    * Add possibility for the user to override incoming mail charset. Iconv is
      now mandatory (Arnaud Boudou, RFE #408167).
    * Add new configuration option in order to use a default encoding charset
      (default to UTF-8) in case no one is provided by the displayed mail
      (Arnaud Boudou).
    * Replace all "<?" tags by "<?php" tags. (Arnaud Boudou, bug #1230999).
    * Convert Nocc to UTF-8 support (Arnaud Boudou).
    * Replying to HTML mails now convert HTML special chars to standard chars
      (Arnaud Boudou).

NOCC 0.9.7    July 01, 2005

    * Add quotas limits display. (Arnaud Boudou)
    * Add mailbox RSS streams. (Arnaud Boudou)
    * Fix issue where text and image attachments where not rendered at the end
      of the mail (Arnaud Boudou)
    * Add an option to remember login settings, using a cookie (Arnaud Boudou)
    * Fix issue with deleted messages when user open message in a new window
      (Arnaud Boudou, bug #1163679)
    * Add email sent confirmation within Inbox menu. (Arnaud Boudou, RFE
      489151)
    * Dynamically load IMAP module if needed. (Arnaud Boudou, RFE #644084)
    * Force 'MIME-Version: 1.0' header for all outgoing mails. (Arnaud Boudou,
      bug #1090264)
    * Fix issue with Javascript and non ASCII language file. (Arnaud Boudou,
      bug #1089729)
    * Add configuration for IMAP Namespace. (Arnaud Boudou)
    * Add configuration for line feed behavior, could be useful with some
      MTA. (Arnaud Boudou)
    * Add possibility to copy sent mails into a dedicated folder - IMAP only
      (Arnaud Boudou, RFE #436736).
    * Fix issue with persistent sessions variable while login accross different
      users (Arnaud Boudou, bugs #1047257 and #1047233).
    * Eliminated the javascript requirement when adding or removing
      attachments while composing a message, javascript validation is still
      performed (Leif Gustafson, RFE #602492).
    * Moved (again) <? to <?php, better compatibility when short tags are
      disabled (Arnaud Boudou, bug #1039217).
    * In mail list, clicking on the sender email and/or name now open a new
      mail window with the "To:" field filled with the email address (Arnaud
      Boudou).
    * Fix issue where an email address from a mailto: link into a message
      was not used when clicked on (Arnaud Boudou, bug #1034907).
    * Fix issue where Nocc use imap functions to open message which does not
      exists anymore, and cause IMAP toolkit crash (Leif Gustafson, patch
      #133169).
    * Add support for SMTP AUTH PLAIN and SMTP AUTH LOGIN (Arnaud Boudou, RFE 
      #569828).
    * Add possibility to allow a limited set of characters for login (Arnaud
      Boudou, RFE #979305).
    * Add compatibility with PHP5's register_long_arrays=On, but break
      compatibility with PHP version prior than 4.1.0 (Arnaud Boudou).
    * Add possibility for force default language rather than browser preference
      ("zverj", patch #1016925).

NOCC 0.9.6    August 23, 2004

    * Fixed issue with IMAP connection which prevents "previous message" and
      "next message" links display (Arnaud Boudou).
    * Strip META flags outside the HEAD block within HTML mails (Arnaud Boudou,
      RFE #489443).
    * Fixed problem where no attachment shown when mail contains only an
      attachment without message (Arnaud Boudou, bug #621260).
    * Added possibility to mark a message as read or unread - IMAP only
      (Arnaud Boudou, RFE #587725).
    * Added typed domain names option and login suffix option (Leif Gustafson,
      patch #975016).
    * Added graphical smilies support (Arnaud Boudou).
    * Added IMAP folder delete (Arnaud Boudou).
    * Fixed multiple bugs on IMAP folder management (Arnaud Boudou).
    * Downloadable mails (Olivier Jourdat and Arnaud Boudou, patch #811868).
    * Move on next message on delete (Olivier Jourdat and Arnaud
      Boudou, patch #811856).
    * Prompt on delete (Olivier Jourdat and Arnaud Boudou, patch #811848).
    * Added contact list (Olivier Jourdat and Arnaud Boudou, patch #811843).
    * Multiple send prevention (Olivier Jourdat and Arnaud Boudou,
      patch #811836)
    * Added Usenet signature separator user preference (Olivier
      Jourdat and Arnaud Boudou, patch #811823).
    * Wrap outgoing messages user preference (Olivier Jourdat and
      Arnaud Boudou, patch #811816).
    * Added PHP 5.0 compatibility (Arnaud Boudou).
    * Added support for displaying RFC2045-encoded words, used in headers.
      (Alexander Sabournekov).
    * Preferences can be disabled by unsetting/clearing $conf->prefs_dir
      (Alexander Sabournekov).
    * Added fix for 'file_uploads=0' (RedHat default).
    * Applied patch intended to fix XSS vulnerability (Ulf Harnhammar).
    * Fixed some warnings when not using user_prefs or user_filters
      (Paulo Matos).
    * A few small cosmetic fixes (Paulo Matos).
    * Attachment array being initialised as integer zero (Paulo Matos).
    * Fixed MIME line termination incompliance with RFC822 (Paulo Matos).
    * Removed 'delete_button_icon' option, as it didn't work (#575741).
    * Rewrote 'prefs.php' as 'user_prefs.php'.
    * Added a function 'get_default_from_address' to allow admins to
      customise the default address in their conf.php (#563396).
    * A whole load of tidying up of the folder-related code.
    * Changed the way prefs functions return exceptions.
    * Improved the exception reporting from the nocc_imap class.
    * Added 'seperate_msg_win' user preference (#548360).
    * Check for valid e-mail address when changing preferences (#506379).
    * Use $_SERVER['PHP_SELF'] instead of $PHP_SELF (for register_globals=off)
    * Return user to INBOX when mail sent successfully.
    * Now works with 'register_globals=off' (i.e. new PHP 4.2 behaviour).
    * Relaxed debugging flags to allow connection messages to be reported
      via imap_last_error.
    * Fixed attachments bug [#509857]. Thanks crystalcyril.
    * Simplified handling of attachments, removed 'num_attach' stuff.
    * Switched from 'X-Mailer' header to 'User-Agent' [#547441].
    * Added folder management to pref page.
    * Added Folder and Page selection to inbox page.
    * Added status bar to give links to folders containing new mesages.
    * Removed 'conf', 'mailhost', 'user' and 'passwd' from aff_mail arguments.
    * Renamed 'change_date' to 'format_date' and simplified it.
    * Trimmed unnecessary passing of session variables to some functions.
    * Moved common stuff out of conf.php into a new 'common.php' file.
    * Include functions and check_lang in common, rather than in every script.
    * Replaced session_* calls with use of $_SESSION[].
    * Store more stuff in session, to save passing them around in the URL all
      the time (e.g. 'lang', 'theme' 'sort', 'sortdir', 'folder' etc.)
    * Fixed forwarding behaviour, so that original message is forwarded
      as a MIME attachment.
    * Exception from nocc_imap now returns useful error information.
    * Badly placed return statement was preventing connection
      exception from being reported to the user.
    * Moving to PEAR coding guidelines slowly (spaces instead of tabs, better
      comments should follow slowly).
    * Trim mail subjects when longer than 55 chars and displaying Inbox
      (patch thanks to Arno Bean #477829).
    * Fixed some regexp issues (patch thanks to Patrick #522389).
    * Added fix for mime encoding problem (#495626).
    * Fixed lang returning to default after prefs page.
    * Added 'allow_address_change' configuration parameter (patch #490576).
    * Separated imap_* functions into a nocc_imap class for extendability.
    * Added HTTP headers to avoid caching from proxies and browsers.
    * Added request receipt feature.
    * Removed insecure 'X-Originating-Ip', and fixed 'X-Mailer' headers.
    * Conf is now passed as argument. It is no more included in functions.
    * Fixed a wrong url for prefs after sending a message (bug #493072).
    * Configuration parameters are now in an array ($conf).
    * Speed up a bit by using ' instead of " for remaining strings.
    * Added 'session_start' to top of action.php, as per advice from
      Karma Dorji.
    * Fixed some potential bugs on Win32 when sending message via
      SMTP (class_smtp.php).
    * Added exception handling when sending mail via PHP internal
      mail() function.
    * Gets signature/leadin string from a base64-encoded preference.
    * Added code to convert signature file to signature preference, if
      found.
    * Added reply leadin code (Colin Stephenson).
    * Added a 'timestamp' member to the content array in aff_mail.
    * Fixed message header display bug.
    * Remove date display from INBOX.
    * Updated Portugese (Jose Carlos/Paulo Matos), Slovak (Peter Sochna),
      Greek, Croatian, Icelandic, Finnish and German (Benjamin Brauer),
      Norwegian (Bjørn Roger Rasmussen), Persian (Mahdi Dalirrooyfard),
      Portuguese (Paulo Matos), Russian (Alexander Sabourenkov),
      Dutch (Silvan Jongerius), Thai (Anat Trakoonsirisak) and French
      (Arnaud Boudou) translations.


NOCC 0.9.5    November   25, 2001

    * Fixed handling prefs file in prefs.php.
    * Fixed calls to cachePrefValue() in prefs.php.
    * Preferences optional, by omitting to set the prefs_dir in conf.php.
    * Stopped including attachments in replies.
    * Changed all imap_open to @imap_open to suppress warnings (#477574)
    * Ensure that magic_quotes_runtime is off to prevent attachment
      mangling.
    * Add htmlspecialchars to pre-filled fields in send.php
    * Added safestrip, which works based on php.ini magic_quotes_gpc.
    * Move previous strip slashes to before sending mail
    * Strip slashes from body on reply.
    * Prevented preferences from creating prefs/sig until user is
      properly logged in.
    * Added error handling for prefs/sig file writing errors.
    * Fixed cut_addresses to handle addresses with quoted commas.
    * Fixed various XHTML incompliances.
    * Added optional 'base_uri' configuration parameter (#463390)
    * Added patch from Arno Bean to make checkbox labels clickable
      in prefs.
    * Added tooltip for full e-mail address in message list.
    * Moved 'select all' and 'delete' buttons, top and bottom.
    * Added a 'send confirmed' page so user is sure mail was accepted.
    * Present an error when sendaction has not been set (e.g javascript
      disabled).
    * Replaced error_log calls with a sessionlog member in class_smtp.php
    * Replaced PEAR::Error with simple Exception class.
    * Strip slashes from user while logging in (#465418).
    * Bypassed redundant 'check_form' javascript method.
    * Added 'outlook-style quoting' preference (#459461)
    * Added config option to present delete icon as a button.
    * Added 'hide addresses' preference (#471806).
    * Moved inclusion of 'menu_inbox' so when the wrong password is
      supplied, it doesn't present options for 'Inbox', 'Preferences', etc.
    * Removed restriction on the size of left/right arrow images.
    * Added start/end identifier comments to html templates.
    * Fixed several potential 'uninitialized variable' warnings.
    * Fixed order of session headers.
    * Added error logging of file opening problems in prefs.php.
    * Updated prefs.php to use domain in prefs filename (fixes #472923).
    * Added logic patch for displaying images (Colin Stephenson #427202).
    * Added 'Loading image ...' message.
    * Header displays email address from preferences, if available.
    * Added 'CC self' preference to receive a copy of outgoing emails.
    * Added './' in the path of all require, include and open calls,
    * Replace require() and include() with require_once() and include_once()
      when it was needed.
    * Added logging of SMTP transactions, until all bugs fixed.
    * Added send_error output page, to report SMTP problems to user.
    * Disabled encode_mime in cut_addresses until it can be checked.
    * Strip comments from e-mail addresses before using on RCPT in
      SMTP transactions (fixes bug #430367).
    * Added rudimentary user preferences (name, email and signature).
    * Made textarea in send.php narrower, to accomodate 800x600 users.
    * Removed nowrap table attributes, as they cause problems for
      800x600 users.
    * New paperclip icon to indicate attachments.
    * If user is logged in using HTTP auth, default username on
      login page.
    * Hide the domain pulldown when only one domain exists.
    * Made the login page use the same header as any other page.
    * Added tooltips to the sort column icons in the messageview.
    * Added a Theme tips section to the README.
    * Made page header/footer theme-customisable.
    * Added 'Select All' (patch #471732).
    * Fixed a problem with IE 6 (everything was centered).
    * Fixed a bug which prevented to send email on RH7 with RPM version
      of PHP (bug #430069).
    * Fixed long list of addresses not wrapped (bug #440905).
    * In the send form, the user can now change his email address.
    * Added/Updated Norwegian (Bokmal and Nynorsk), Turkish, Finnish,
      Bulgarian, srpski jezik, Polsish, Portuguese (Jorge Silva)
      translations.
    * Fixed a problem with some Linux installation which displayed
      an 'invalid range' error message (bug #432724).
    * Fixed a problem which allowed people to send an e-mail without
      logging in a valid mail account (bug #440319).
    * Fixed a problem with range when trying to get messages 
      charset (bug #432724).
    * Fixed a problem which prevented to add attachments when
      PHP was running in safe mode.
    * Correct a problem with attachments when a Content-ID was
      specified by the mailer.
    * Return Path is now set correctly when not using SMTP server.
    * Added support for priority when sending messages.
    * Removed warnings when using E_ALL in error reporting.

NOCC 0.9.4    June 02, 2001

    * Improved mailto: parsing with text/plain messages.
    * Speed up a bit by using ' instead of " for strings (faster parsing).
    * Fixed Eudora attachments' name field in lowercase (patch from William
      Emmanuel S. Yu).
    * Fixed configuring protocol layout when connecting to an imap server.
    * Fixed a security issue which allowed people to send critical system
      files (attachments array is now kept in session data and several
      checks are performed).
    * Fixed empty IP address in send.php on Win32 (bug #415180).
    * Fixed sending corrupted attachments when running on Win32
      (bug #414497).
    * Fixed a session problem with IE in HTTPS mode which prevented from
      downloading attachments.
    * Fixed missing '\r' when sending mail (bug #408232).
    * Added Slovak, Hungarian, Greek, Czech, Chinese Simplified, Korean, 
      Portuguese Brazil and (still experimental) Hebrew translations.
    * Added an error reporting control. No more 'undefined variable'
      warning will appear.
    * Added a new theme 'newlook' from Anton Jakimov <t0xa at ls2.lv>
    * Images are now in 'theme/' folder.
    * Added support for multiple domains/servers.
    * Messages are now sent with the charset of the chosen language.


NOCC 0.9.3pl1    March 18, 2001

    * Fixed loosing charset preference after deleting an attachment.
    * Minor bugfixes: typo in CREDITS, missing variables in language files,
      corrupted russian language file (Unix encoding).


NOCC 0.9.3    March 12, 2001

    * Fixed a bug with Postfix when "strict_rfc821_envelopes = yes".
    * Fixed replying to someone with a name containing accent (bug #133573).
    * Better display of text/plain messages.
    * Fixed bug with Netscape 4.x which prevented to send attachement.
    * HTML code is now XHTML 1.0 Transitional compliant.
      (NB: nl2br() is not XHTML compliant when using PHP < 4.0.5)
    * Added support for themes.
    * Added navigation between messages.
    * If sender is empty, NOCC displays '[unknown]'.
    * Added Russian (Win, Unix & ISO), Slovenian, Swedish, Danish, Polish
      and Taiwan Chinese translations.
    * Fix for flawed PHP install bundled with RedHat 7 (RH bug #24933).
    * Images with transparency are now in GIF. Fixes Netscape problems
      with transparent PNG.
    * Moved <? to <?php, better compatibility when short tags are disabled. 


NOCC 0.9.2    February 08, 2001
    
    * now handle multiple attachments when sending message (adding and
      deleting attachments is now possible).
    * Attachments are preserved when replying to, transfering a message.
    * The 'New' column isn't displayed anymore when accessing a POP3 server. 
    * New translations (portuguese, dutch, arabic and spanish)
      However, as more features came in, some items aren't translated yet.
    * Fixed a bug which prevented correct parsing of RFC822 message.
    * Added displaying of text/plain attachements inline.
    * Fixed bug where one couldn't log in if the password contained "\".
    * Improved speed for parsing messages (both for the inbox display
      and the message display itself).
    * Improved the display of HTML and TEXT messages.
    * Fixed a bug with mail with no body and attachments.
    * A lot of minor debugging.


NOCC 0.9.1    December 01, 2000

    * Added PHP and IMAP lib version initial checking.
    * Fixed language problem with Amaya.
    * Added German translation (thanks to David Ferch).
    * text/plain messages are now wrapped to 80 cols if PHP >= 4.0.2 found.
    * Reply and Forward bugs solved.
    * To and Cc fields are now decoded from quoted-printable or mime.
    * Attachment names are decoded if coded in quoted-printable or mime.


NOCC 0.9    November 10, 2000

    * First public released version.
    * Configuration file with many tweakable values.
    * PNG image attachments can be viewed inline.
    * Minor memory optimizations (reduced GLOBAL usage and regexp).
    * rfc822-compliant viewing messages.
    * Fixed CC and BCC not working with SMTP.
    * Many bugfixes, doc updates and cleanups.


NOCC 0.8    October 14, 2000 (never released)

    * Moved to sourceforge.
    * Ability to send messages via SMTP.
    * English translation.
    * Patch to allow new mail detection on old UCB POP3 server. 


NOCC 0.7    November 1999 (never released)

    * First PHP version.
    * Rewritten from scrath.
    * Heavily reduced number of POST with CGIs thanks to session handling.
    * Changed name from Epimail to NOCC.


Epimail 0.6a    September 2000 (never released because of lack of documentation)

    * HTML cleanup.
    * Apop (MD5) desactivated.
    * bugfixes.


Epimail 0.6    November 1999 (never released)

    * MIME decoding for headers and file attachments. Thanks to Anthony
      Pinagot.


Epimail 0.5    October 1999 (never released)

    * Quoted-Printable characters bug fixed (thanks Outlook Express ! :).


Epimail 0.4    September 1999 (never released)

    * Icons modified.
    * Speed optimization.
    * Code cleanup.


Epimail 0.3    July 1999 (never released)

    * First workable version.
    * Now handles HTML'ed mails.
    * Handles attachements both when receiving and sending.
